## CajaMenuItem CajaMenuItem |

## Functions

#define | CAJA_TYPE_MENU_ITEM
#define | CAJA_MENU_ITEM()
#define | CAJA_MENU_ITEM_CLASS()
#define | CAJA_MENU_IS_ITEM()
#define | CAJA_MENU_IS_ITEM_CLASS()
#define | CAJA_MENU_ITEM_GET_CLASS()

## Properties

gchar * | icon | Read / Write
gchar * | label | Read / Write
CajaMenu * | menu | Read / Write
gchar * | name | Read / Write / Construct Only
gboolean | priority | Read / Write
gboolean | sensitive | Read / Write
gchar * | tip | Read / Write

## Signals

void | activate | Run Last

## Types and Values

| CajaMenuPrivate
| CajaMenuItemDetails
| CajaMenu
| CajaMenuItem

## Object Hierarchy

        GObject
        ├── CajaMenu
        ╰── CajaMenuItem

## Description

## Functions

### CAJA_TYPE_MENU_ITEM

    #define CAJA_TYPE_MENU_ITEM            (caja_menu_item_get_type())

### CAJA_MENU_ITEM()

    #define CAJA_MENU_ITEM(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), CAJA_TYPE_MENU_ITEM, CajaMenuItem))

### CAJA_MENU_ITEM_CLASS()

    #define CAJA_MENU_ITEM_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), CAJA_TYPE_MENU_ITEM, CajaMenuItemClass))

### CAJA_MENU_IS_ITEM()

    #define CAJA_MENU_IS_ITEM(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CAJA_TYPE_MENU_ITEM))

### CAJA_MENU_IS_ITEM_CLASS()

    #define CAJA_MENU_IS_ITEM_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), CAJA_TYPE_MENU_ITEM))

### CAJA_MENU_ITEM_GET_CLASS()

    #define CAJA_MENU_ITEM_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), CAJA_TYPE_MENU_ITEM, CajaMenuItemClass))

## Types and Values

### CajaMenuPrivate

    typedef struct _CajaMenuPrivate CajaMenuPrivate;

### CajaMenuItemDetails

    typedef struct _CajaMenuItemDetails CajaMenuItemDetails;

### CajaMenu

    typedef struct _CajaMenu CajaMenu;

### CajaMenuItem

    typedef struct _CajaMenuItem CajaMenuItem;

## Property Details

### The `“icon”` property

      “icon”                     gchar *

Name of the icon to display in the menu item.

Flags: Read / Write

Default value: NULL

### The `“label”` property

      “label”                    gchar *

Label to display to the user.

Flags: Read / Write

Default value: NULL

### The `“menu”` property

      “menu”                     CajaMenu *

The menu belonging to this item. May be null.

Flags: Read / Write

### The `“name”` property

      “name”                     gchar *

Name of the item.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“priority”` property

      “priority”                 gboolean

Show priority text in toolbars.

Flags: Read / Write

Default value: TRUE

### The `“sensitive”` property

      “sensitive”                gboolean

Whether the menu item is sensitive.

Flags: Read / Write

Default value: TRUE

### The `“tip”` property

      “tip”                      gchar *

Tooltip for the menu item.

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“activate”` signal

    void
    user_function (CajaMenuItem *cajamenuitem,
                   gpointer      user_data)

Flags: Run Last